Bug 1413712 - [DOCS] More information on possible annotations for projects and other OCP objects
Summary: [DOCS] More information on possible annotations for projects and other OCP ob...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 18:39 UTC by Steven Walter
Modified: 2020-12-14 08:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-26 13:29:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2017-01-16 18:39:32 UTC
Document URL: 
https://docs.openshift.com/container-platform/latest/rest_api/openshift_v1.html

Section Number and Name: 

v1-objectmeta, v1-project, create-a-project, et cetera

Describe the issue: 
Our api documentation does not provide a list of annotations or metadata that can be used. For instance, OpenShift projects have:

annotations["openshift.io/description"] 
annotations["openshift.io/display-name"]
annotations["openshift.io/node-selector"]

Suggestions for improvement: 

THis issue is not necessarily limited to projects; other objects which can take useful metadata/annotations are not always extensively documented here. Customers can resort to running an `oc` command with --loglevel=9 to get information on commands, but this is not great for usability.


Additional information: 
See:
https://trello.com/c/pkW3DkIw/746-5-better-distribution-of-templates-examples-evg

Comment 6 Gaurav Nelson 2018-04-26 13:29:17 UTC
The related card and the case says this one is completed, so i am closing this one.


Note You need to log in before you can comment on or make changes to this bug.